---
msw-deployment:deployment:
  sites:
  - name: my-site-1
    site-parameters:
      deployment-id: example
      fixed-ips: true
      mdm-certificate-id: my-mdm-certificate
      networking:
        subnets:
        - cidr: 172.16.0.0/24
          default-gateway: 172.16.0.1
          dns-servers:
          - 2.3.4.5
          - 3.4.5.6
          identifier: management
          vim-network: management-network
        - cidr: 173.16.0.0/24
          default-gateway: 173.16.0.1
          identifier: cluster
          vim-network: cluster-network
        - cidr: 174.16.0.0/24
          default-gateway: 174.16.0.1
          identifier: access
          vim-network: access-network
        - cidr: 175.16.0.0/24
          default-gateway: 175.16.0.1
          identifier: core-signaling
          vim-network: core-signaling-network
        - cidr: 176.16.0.0/24
          default-gateway: 176.16.0.1
          identifier: sip
          vim-network: sip-network
        - cidr: 177.16.0.0/24
          default-gateway: 177.16.0.1
          identifier: diameter-multihoming
          vim-network: diameter-multihoming-network
        - cidr: 178.16.0.0/24
          default-gateway: 178.16.0.1
          identifier: ss7-multihoming
          vim-network: ss7-multihoming-network
        - cidr: 12ab:10cd:4000:ef80::/64
          default-gateway: 12ab:10cd:4000:ef80::1
          identifier: access-ipv6
          ip-version: ipv6
          vim-network: access-network
      services:
        ntp-servers:
        - 1.2.3.4
        - 1.2.3.5
      site-id: DC1
      ssh:
        keypair-name: key-pair
      timezone: Europe/London
      vim-configuration:
        openstack:
          availability-zone: nonperf
          connection:
            auth-url: http://my-openstack-server:5000/v3
            keystone-v3:
              project-id: 0102030405060708090a0b0c0d0e0f10
              user-domain-name: Default
            password-id: openstack-password-secret-id
            username: openstack-user
    vnfcs:
    - cluster-configuration:
        count: 3
        instances:
        - name: example-mdm-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-mdm-2
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-mdm-3
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
      name: mdm
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.135
          - 172.16.0.136
          - 172.16.0.137
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 175.16.0.135
          - 175.16.0.136
          - 175.16.0.137
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - signaling
      product-options:
        mdm:
          consul-token: ABCdEfgHIJkLmNOp-MS-MDM
          custom-topology: |-
            {
              "member_groups": [
                {
                  "group_name": "DNS",
                  "neighbors": []
                },
                {
                  "group_name": "RVT-tsn.DC1",
                  "neighbors": [
                    "SAS-DATA"
                  ]
                },
                {
                  "group_name": "RVT-shcm.DC1",
                  "neighbors": [
                    "SAS-DATA"
                  ]
                },
                {
                  "group_name": "RVT-mmt-gsm.DC1",
                  "neighbors": [
                    "SAS-DATA"
                  ]
                },
                {
                  "group_name": "RVT-mag.DC1",
                  "neighbors": [
                    "SAS-DATA"
                  ]
                },
                {
                  "group_name": "RVT-smo.DC1",
                  "neighbors": [
                    "SAS-DATA"
                  ]
                }
              ]
            }
      type: mdm
      version: 2.31.0
      vim-configuration:
        openstack:
          flavor: medium
    - cluster-configuration:
        count: 3
        instances:
        - name: example-tsn-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-tsn-2
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-tsn-3
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
      name: tsn
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.10
          - 172.16.0.11
          - 172.16.0.12
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 175.16.0.10
          - 175.16.0.11
          - 175.16.0.12
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - internal
      product-options:
        tsn:
          cassandra-password-id: my-cassandra-password-id
          cassandra-username: myCassandraUsername
          cds-addresses:
          - 1.2.3.4
          low-privilege-ssh-authorized-keys:
          - ssh-rsa YYYYYYYYYYYYYYYYYYYY
          primary-user-password-id: my-password-secret-id
          secrets-private-key-id: my-secrets-private-key-secret-id
      type: tsn
      version: 4.0.0-99-1.0.0
      vim-configuration:
        openstack:
          flavor: tsn
    - cluster-configuration:
        count: 2
        instances:
        - name: example-shcm-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-shcm-2
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
      name: shcm
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.20
          - 172.16.0.21
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 175.16.0.20
          - 175.16.0.21
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - diameter
        - internal
      - ip-addresses:
          ip:
          - 177.16.0.10
          - 177.16.0.11
        name: Diameter Multihoming
        subnet: diameter-multihoming
        traffic-types:
        - diameter_multihoming
      product-options:
        shcm:
          cds-addresses:
          - 1.2.3.4
          ims-domain-name: mnc123.mcc530.3gppnetwork.org
          low-privilege-ssh-authorized-keys:
          - ssh-rsa YYYYYYYYYYYYYYYYYYYY
          primary-user-password-id: my-password-secret-id
          secrets-private-key-id: my-secrets-private-key-secret-id
          shcm-vnf: shcm
      type: shcm
      version: 4.0.0-99-1.0.0
      vim-configuration:
        openstack:
          flavor: shcm
    - cluster-configuration:
        count: 3
        instances:
        - name: example-mmt-gsm-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-mmt-gsm-2
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-mmt-gsm-3
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
      name: mmt-gsm
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.30
          - 172.16.0.31
          - 172.16.0.32
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 175.16.0.30
          - 175.16.0.31
          - 175.16.0.32
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - diameter
        - internal
      - ip-addresses:
          ip:
          - 176.16.0.10
          - 176.16.0.11
          - 176.16.0.12
        name: Sip
        subnet: sip
        traffic-types:
        - sip
      - ip-addresses:
          ip:
          - 177.16.0.20
          - 177.16.0.21
          - 177.16.0.22
        name: Diameter Multihoming
        subnet: diameter-multihoming
        traffic-types:
        - diameter_multihoming
      product-options:
        mmt-gsm:
          atu-sti-hostname: atu-sti.example.invalid
          cds-addresses:
          - 1.2.3.4
          ims-domain-name: mnc123.mcc530.3gppnetwork.org
          low-privilege-ssh-authorized-keys:
          - ssh-rsa YYYYYYYYYYYYYYYYYYYY
          mmt-vnf: mmt
          primary-user-password-id: my-password-secret-id
          secrets-private-key-id: my-secrets-private-key-secret-id
          shcm-vnf: shcm
      type: mmt-gsm
      version: 4.0.0-99-1.0.0
      vim-configuration:
        openstack:
          flavor: medium
    - cluster-configuration:
        count: 3
        instances:
        - name: example-mag-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-mag-2
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-mag-3
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
      name: mag
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.40
          - 172.16.0.41
          - 172.16.0.42
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 174.16.0.10
          - 174.16.0.11
          - 174.16.0.12
          ipv6:
          - 12ab:10cd:4000:ef80:174::10
          - 12ab:10cd:4000:ef80:174::11
          - 12ab:10cd:4000:ef80:174::12
        name: Access
        subnet: access
        subnet-ipv6: access-ipv6
        traffic-types:
        - access
      - ip-addresses:
          ip:
          - 175.16.0.40
          - 175.16.0.41
          - 175.16.0.42
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - diameter
        - internal
      - ip-addresses:
          ip:
          - 177.16.0.30
          - 177.16.0.31
          - 177.16.0.32
        name: Diameter Multihoming
        subnet: diameter-multihoming
        traffic-types:
        - diameter_multihoming
      product-options:
        mag:
          cds-addresses:
          - 1.2.3.4
          ims-domain-name: mnc123.mcc530.3gppnetwork.org
          low-privilege-ssh-authorized-keys:
          - ssh-rsa YYYYYYYYYYYYYYYYYYYY
          primary-user-password-id: my-password-secret-id
          secrets-private-key-id: my-secrets-private-key-secret-id
          shcm-vnf: shcm
      type: mag
      version: 4.0.0-99-1.0.0
      vim-configuration:
        openstack:
          flavor: medium
    - cluster-configuration:
        count: 3
        instances:
        - name: example-smo-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-smo-2
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
        - name: example-smo-3
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
      name: smo
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.50
          - 172.16.0.51
          - 172.16.0.52
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 173.16.0.10
          - 173.16.0.11
          - 173.16.0.12
        name: Cluster
        subnet: cluster
        traffic-types:
        - cluster
      - ip-addresses:
          ip:
          - 175.16.0.50
          - 175.16.0.51
          - 175.16.0.52
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - diameter
        - ss7
        - internal
      - ip-addresses:
          ip:
          - 176.16.0.20
          - 176.16.0.21
          - 176.16.0.22
        name: Sip
        subnet: sip
        traffic-types:
        - sip
      - ip-addresses:
          ip:
          - 177.16.0.40
          - 177.16.0.41
          - 177.16.0.42
        name: Diameter Multihoming
        subnet: diameter-multihoming
        traffic-types:
        - diameter_multihoming
      - ip-addresses:
          ip:
          - 178.16.0.10
          - 178.16.0.11
          - 178.16.0.12
        name: SS7 Multihoming
        subnet: ss7-multihoming
        traffic-types:
        - ss7_multihoming
      product-options:
        smo:
          cds-addresses:
          - 1.2.3.4
          ims-domain-name: mnc123.mcc530.3gppnetwork.org
          low-privilege-ssh-authorized-keys:
          - ssh-rsa YYYYYYYYYYYYYYYYYYYY
          primary-user-password-id: my-password-secret-id
          secrets-private-key-id: my-secrets-private-key-secret-id
          shcm-vnf: shcm
          smo-vnf: smo
      type: smo
      version: 4.0.0-99-1.0.0
      vim-configuration:
        openstack:
          flavor: medium
